(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./ParallaxMover.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadParallaxMover = loadParallaxMover;
    const engine_1 = require("@tsparticles/engine");
    const ParallaxMover_js_1 = require("./ParallaxMover.js");
    async function loadParallaxMover(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addMover("parallax", () => {
            return Promise.resolve(new ParallaxMover_js_1.ParallaxMover());
        }, refresh);
    }
});
